commit 1e58425649fa6102591c1d31d203ac5f8b27f161
Merge: c9d2a4cffd7 af554f1b918
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Fri Mar 15 01:27:52 2024 +0530

    Merge pull request #5251 from VarunNagaraju/PS-9040-5.7
    
    PS-9040 Integrate clang-tidy checks for Percona server

commit 1c4f3827625b687baba328ff00e1c5547238c8ff
Merge: 1e58425649f c643a1242d8
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Mon Mar 18 09:47:42 2024 +0200

    Merge pull request #5260 from percona/release-5.7.44-49
    
    Release 5.7.44-49

commit 286fd4f2631061b2c68dd5416c47bbaad47ca8a8
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Thu Mar 21 15:59:06 2024 +0530

    PS-9067 Fix MTR test failures when run with --mem
    
    https://perconadev.atlassian.net/browse/PS-9067
    
    Post-push fix. Masking of variable paths now considers
    the case when MTR tests are run parallely with multiple
    threads.

diff --git a/mysql-test/t/percona_statement_set.test b/mysql-test/t/percona_statement_set.test
index be993c3986e..08e8b379730 100644
--- a/mysql-test/t/percona_statement_set.test
+++ b/mysql-test/t/percona_statement_set.test
@@ -839,18 +839,18 @@ DROP PROCEDURE p5;
 ####################################################################
 
 # tmpdir is different when the test is run with --mem
---replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
+--replace_regex /\/.*\/tmp.*\/mysqld\..*/TMPDIR/
 --eval SET STATEMENT innodb_tmpdir=@@global.tmpdir FOR SELECT @@innodb_tmpdir
 SET SESSION innodb_tmpdir = @@global.tmpdir;
---replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
+--replace_regex /\/.*\/tmp.*\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
---replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
+--replace_regex /\/.*\/tmp.*\/mysqld\..*/TMPDIR/
 SET STATEMENT sql_mode='' FOR SELECT @@innodb_tmpdir;
---replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
+--replace_regex /\/.*\/tmp.*\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
 --replace_result $MYSQL_TEST_DIR TESTDIR
 --eval SET STATEMENT innodb_tmpdir='$MYSQL_TEST_DIR' FOR SELECT @@innodb_tmpdir
---replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
+--replace_regex /\/.*\/tmp.*\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
 
 --echo #

